Page MenuHomePhabricator

eina: redo the swap checking
AbandonedPublic

Authored by bu5hm4n on Apr 3 2019, 11:13 AM.

Details

Summary

for now the checking if there is a builtin was done in the buildtool.
However, the check is possible anyways directly in the .x file. So we
can simpltfy the buildsystem here, while just doing this in the .x file,
where it is not more work than before.

ref D8543

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 10744
bu5hm4n created this revision.Apr 3 2019, 11:13 AM
bu5hm4n requested review of this revision.Apr 3 2019, 11:13 AM
cedric accepted this revision.Apr 3 2019, 11:18 AM

Neat.

This revision is now accepted and ready to land.Apr 3 2019, 11:18 AM
vtorri requested changes to this revision.Apr 3 2019, 11:22 AM

the autotools should also be updated (to verify the concordance of config.h), as well as eina_config.h.in, which then has useless macro

This revision now requires changes to proceed.Apr 3 2019, 11:22 AM

I don't really care about about autotools, it will be removed I'm a few weeks anyways

zmike requested changes to this revision.Apr 3 2019, 12:16 PM

I don't really care about about autotools, it will be removed I'm a few weeks anyways

autotools remains the default build system for this release and will not be removed until full parity is achieved by the meson build.

bu5hm4n requested review of this revision.Apr 3 2019, 12:25 PM

Which still dies not require that autotools Herr is changed, those additional checks do not change the code nor do any harm, they are just useless. The future goal is to remove autotools, so I see no reason to put effort into adjusting autotools here.

zmike requested changes to this revision.Apr 3 2019, 12:35 PM

I retract my previous statement: autotools does not need to be changed.

EINA_HAVE_BSWAP$ is a series of public, stable macros which will not work in meson build after this patch. The meson block cannot be removed.

This revision now requires changes to proceed.Apr 3 2019, 12:35 PM
bu5hm4n abandoned this revision.Apr 4 2019, 1:24 AM

Yeah, people will have definitly used macros which are not documented nor in any examples.

zmike added a comment.Apr 10 2019, 5:06 AM

Alternatively those macro definitions could have been replaced with EINA_HAS_BUILTIN calls, which would preserve their functionality while still allowing the build changes.

In D8548#156015, @zmike wrote:

Alternatively those macro definitions could have been replaced with EINA_HAS_BUILTIN calls, which would preserve their functionality while still allowing the build changes.

https://phab.enlightenment.org/D8553